Encrypted FTP - Home

EFTP3 Client

Table of Contents

  • The Front-End
    • Client Activity
    • Site Manager
    • Preferences
      • Operational Settings
      • Visual Settings
      • Security Settings
      • Log File Settings
      • File Type Settings
      • Connection Settings
    • Log
  • Tutorials
    • Creating a site step-by-step instructions
    • Connecting to a site using Quick Connect
    • Basic Operations
      • Connecting & Disconnecting
      • Browsing
      • Downloading & Uploading
  • EFTP Support
Visit Us on http://www.encrypted-ftp.com


The Client Interface

1 : Menu Bar

Use the Menu Bar to control some of the operations of the client. There are other shortcuts to all of the functions within the menu bar, and these will be pointed out at the appropriate place.

Menu Items

  • File
    • Check Internet for Updates & Announcements. Use this to check for the latest version of EFTP that is available for download. This will connect to the internet, and download the index.html file of our main web site. In this file there is a meta tag which defines the version number. There is also a meta tag which gives announcements - both of these will be displayed in the Status Panels
    • Exit. This does what it says - it closes the program down.
  • Transfer
    • Process Queue. This starts the processing the transfer queue (see Client Activity). Clicking this again will stop the processing - NB not all FTP Servers support this feature (ABORT).
    • Transfer Type. This changes the transfer type to one of the 3 options below.
      • Automatic. The program will automatically choose (based on the internal list - see Preferences) to transfer the file in Binary or ASCII mode.
      • ASCII. The program will transfer ALL files as ASCII, regardless of the type of file. Use this option with CAUTION, or your transferred files may become corrupt.
      • Binary. The program will transfer ALL files as binary, regardless of the type of file. This option is usually not lethal to use, however it is always advised to use Automatic.
  • Help
    • Help. This is what you probably clicked to bring up this help file.

2 : Page Selector

Using the page selector you can choose from one of the 4 main pages in EFTP.

  • Client Activity
  • Site Manager
  • Preferences
  • Log


Client Activity

1 : Site Selector

Using this drop down menu you can quickly choose a site that you have already predefined in your Site Manager.

2 : Connect & Process Queue Buttons

Click Connect to connect to the site chosen in the drop-down selection to the left. If you do not choose a site first, the application will automatically swtich to the Site Manager when you click this botton so that you can either define a site or select one.

3 : FTP State

This shows the current state of the FTP Client. This is not necessary for the average user, but could be helpful for those technologically advanced - especially when one is trying to troubleshoot a problem.

4 : Connection Status

This will show you if you are connected to a site or not, and also which site you are connected to. The site is shown as Site Name (DNS Name or IP:Port)

5 : Clock

In case you wanted to know what time it was.

6 : Abort button

Should your connection terminate and the client become unresponsive, you can use this to reset the client state so that it is available to use again. Do not use this to abort the file transfers - use the Process Queue button.

7 : Status Log

The last two lines of the log file are shown here so that you can quickly see what the current status is of your dialog with the server without having to switch to the Log screen .

8 : Resource Selector

Use this to change your resource of your local machine that you are currently viewing. Changing this will change the List View below it. Additionally, changing the list view below will change this accordingly.

9 : Remote Path

You can use this drop down box to CWD into a directory that has already been listed on the remote server. This builds up a list of directories so that you can easily change to any other location on the server (that you have already been to in this session).

10 : Local View

NOTE : The image is shown without a Tree View - this can be turned on and off in the Preferences. Use this to navigate your local machine or locally accessable network resources. You can double-click on a file to execute it. If you wish to transfer files or directories from this window, you need to drag and drop it to the remote view, or the queue.

11 : Remote View

This is a list of the files in the current directory (displayed in 9 : Remote Path). Folders are displayed with a folder icon, and files are displayed with a file icon. Folders that appear to have a shortcut symbol next to it are symbolic links. To download a file immediately, you can double click a file. Double-clicking folders will CWD into that requested folder. You can also drag and drop files & folders to the local view or queue to add the selection to the transfer queue.

12 : Local Path

This will show the local path - if this is blank then you are in an invalid location to be able to add files for downloading (eg : In Network neighbourhood)

13 : Remote Path

This shows the remote path

14 : The Queue

This is a queue of all files transfers and most pending operations. File renames and moves are done instantly, so they do not queue here. Deletions, uploads and downloads will be queued.

15 : Statistics

This shows the current client statistics - each statistic explained as follows :

  • File Size. This is the size of the current file that is being uploaded/downloaded
  • Bytes. This is the amount of bytes that have been transferred for this file
  • Total. This shows the amount of bytes that the file in question is in size. This will differ from Bytes only if the file is being resume uploaded or downloaded.
  • Speed. The speed of the current transfer. This speed is calculated for the current transfer, and is an average over time. It does not show real-time speeds
  • % Done. This shows how much has been done with regards to this file transfer
  • Time Remain. This is an estimated remaining time for the current file upload or download. This is based on the average speed over size and time.


Site Manager

1 : Site List

This shows a list of all the sites you have defined. To edit a site, select it, and the information will be shown on the right, in the Site Editor

2 : Operational Buttons

To manage your sites, you need to use these operational buttons to achieve certain tasks. Each button is explained as follows:

  • Add Container – use this button to create a new container or sub-section. The folder “Public Sites” is such a container
  • Add Site – this will add a new site under the current container. In the example above, the current container is Public Sites, which is located under Root
  • Duplicate Site – if you wish to duplicate site information, you can use this button. This is useful if you are given a new password for the same site, but wish to retain the old password information just in case
  • Rename Site – most people won’t need to use this button, but the feature is there anyway
  • Delete Container – use this to delete a container and all of its children. I would think this button would get used even more rarely than the Rename Site button
  • Delete Site – if you wish to delete a site from the list, use this button
  • Delete Everything – if you really must get rid of all site information, click this button
  • Import Sites – useful if you wish to keep a backup of your site information (this file is called sitedata.ini), and have to restore it at a later stage. Just import it in, and you get all your entries back. Also useful if you wish to share site lists with other people
  • Cancel Everything – clicking the Cancel Everything button will revert all the data to what it was when you opened the Site Manager

3 : Site Editor

Here you edit the site details for the currently highlighted site.

  • Site Name - the common name for this site (you can call it pretty much anything). This is the name that the site will be known by in the site quick-selector decribed in the Client Activity page
  • Host Name - the IP Address or DNS name of the site
  • Port - in case the FTP server uses an alternate port than the standard port (standard port is 21)
  • Username - the username to use when connecting to this site
  • Password - the passowrd to use when connecting to this site
  • Passive - checking this box will make your client operate in PASV mode (passive) for the session. With this not checked, the client will operate in PORT mode for the session. NOTE : This option DOES NOT override the global setting "Always use Passive" described in the Connection Settings under Preferences.
  • Don't Use Encryption - checking this box will make the client not attempt an encrypted session. This is useful for sites which do not accept encryption - it will help speed up the login process
  • Don't use Proxy / Socks - this will override the Proxy and/or Socks server settings in the Connection Settings
  • Local Path on Connect - this will make the client change into the local directory when you connect to this specific site. This will override any settings for the Local Path you have defined in the Operational Settings
  • Remote Path on Connect - this will make the client attempt to CWD into the specified directory after it has had a successful authentication to the server.

4 : Connect

Clicking this button will switch focus back to the Client Activity, and then attempt to connect to the site that was being edited.

5 : Information

This shows the current Branch and site name - informational purposes only.


Preferences

The preferences screen controls the majority of the operational elements of the EFTP Client. These settings are stored in a file named eftp3client.ini, and is not shared with the command-line cilent, EFTP3.EXE.

There are 6 sections of preferences, each accessable by their own tab.

  • Operational Settings
  • Visual Settings
  • Security Settings
  • Log File Settings
  • File Type Settings
  • Connection Settings

Once you have made your preferences, you can Save them there and then using the Save button, or you can cancel your changes by clicking the Cancel Changes button. If you wish to revert to the default settings, click the Reset to Default button. The application will auto-save the preferences if you exit without saving them.


Preferences - Operational Settings

The way the client operates can be pretty much defined in the following set of preferences :

  • Use UNC - This will convert all network mapped storage as UNC paths. The UNC path will be shown in the "Local Path" field shown in the Client Activity screen
  • Popup Messages - This will make the client show the message that the server has specially recorded for your attention. Some people like to switch this off due to annoyances, however it is recommended to keep it on for informative purposes. If you plan to leave your computer uploading and downloading while you are away from your computer, it is recommended that you turn this OFF.
  • Clear Completed - This option will clear the completed files from the queue. If you uncheck this, completed files will show with a happy face icon but remain in the queue.
  • Stop On Error - If an error is detected on the server side (eg, you have no permission to write a file), the client will stop processing the queue right there and then, if this option is checked.
  • Check for Update - This option will make the client check for the latest version of EFTP when it starts up. The information will be displayed in the Status Bars directly below the Connect and Process Queue buttons, as well as in the Log screen.
  • Auto Save Queue - Having this checked will automatically save the current site's queue selection to a file, so that when you reconnect to the same site, it will automatically load the queue so you can continue from where you left off.
  • Never Warn - Having this checked will make the client exit without warning that you are connected to a site.
  • Immediately Start Transfer on Double Click - This option sets the client behaviour to either queue the file (unchecked) or transfer the file (checked) from the remote side when the file is double-clicked. This option only affects files - not directories.
  • Default Local Path - Double-Click the box to open up a browse folder dialog so that you can choose which local directory the client must change to when you connect to a site. You would use this if say, for example, you wished to download everything to D:\Downloads. You would then set this field to D:\Downloads so that you do not have to navigate to that directory every time you connect to a site.
  • Idle Timeout & Reconnect - Not all network connections are perfect - you are bound to come into trouble where something causes you to connect from the FTP server. Having this option checked will make the client attempt to auto-reconnect to a site which it detects as no longer active. It works in conjunction with the following settings :
    • Idle Time (secs) - how long the client must wait before determining that the remote host is dead
    • Retry Count - how many times the client must retry connecting to this site
    • Retry delay (secs) - how long to wait before every retry


Preferences - Visual Settings

The way the client interacts visually is defined in these set of preferences

  • Language File - Double-click the text box to choose an alternate language file. At time of writing, only English and Dutch is available. These language files are done on a voluntary basis and are not supported commercially.
  • Show Hints - this will turn off or on the hints that the client has built in to it's application
  • Remember Window State - this will enable the EFTP Client to remember it's last position and size, and revert back to that position and size when you restart the application
  • Show Colours - This will show the different colours on the remote view, depending on whether or not your session is encrypted. There are 3 colours it will use :
    • Red : meaning that the connection was established without encryption - this is usually because the remote server does not support EFTP encryption
    • Yellow : means that you have opted-out of attempting an encrypted session (using the option "Don't use Encryption" described in Site Manager)
    • Green : An encrypted session has been successfully established
  • Minimize To Tray - This will make the EFTP Client minimize to the system tray when you minimize the application
  • Display the Local Tree - this will show or hide the local tree. This is shown in the Local View, as described in the Client Activity screen
  • X Closes - Checking this box (default) will make EFTP terminate when you click the X button to close it. Unchecking this box will make the EFTP Client minimize instead.


Preferences - Security Settings

The way the Client deals with security is dealt with on this set of preferences.

  • Key Bits - How many bits the Public/Private keypair must have. The higher this is, the more secure, but you pay the penalty as the encryption & decryption times will increase
  • Key Length - Defines the length of the Public/Private Keypair. The lengthier this is, the more secure, but you pay the penalty as the encryption & decryption times will increase
  • Generate New Keypair - This will generate a new keypair for your client to use effective immediately. This cannot be used whilst you are connected to an FTP site, as your encryption keypair will go out of synch with the server
  • Clear Keypair - This is if you wish to not have a keypair for the moment. This option is pretty much redundant
  • Mask Passwords - This option will mask the passwords with asterisks (*) in the log file and on screen. If you wish your password to be visible in the log file and on screen (for troubleshooting purposes) you can turn this feature off.
  • Super Safe mode - The key pairs are not written to disk (eftp3client.ini) and therefore is more secure
  • New Keypair on Startup - This will make the client generate a new public/private keypair when it is launched
  • Default Anon Password - This is the password the client will try to use by default when connecting to sites anonymously
  • Protect Restore - Checking this box will make EFTP request a password when you try to restore it from the system tray. This is useful if you are transferring many files and wish that nobody else can see what your client is doing by restoring the application. For example, if you are uploading/downloading sensitive data and you have a visitor in your office, you can protect your activities using this feature.

The status at the bottom of the screen (currently Idle) is the current status of the Encryption engine. This will change when you are generating a new keypair according to it's current activity. This is informational only.


Preferences - Log File Settings

  • Save Logs - This will allow logging to file to start
  • Log File Name - You can specify a log file name and location here. If you leave this blank, it will use a generic name and store the files in the same directory as the EFTP Client
  • Timestamp Log Files - This will add a timestamp to the log file name. The timestamp will be that of when the application was launched
  • Delete Log Files - To prevent an accumulation of old log files, you can specify that EFTP needs to delete old log files, older than the days specified in Num Days
  • Clear Screen Logs each 500 lines - The Rich Text logs take up a fair amount of memory - checking this box will clear the visual log file every 500 lines to save memory.


Preferences - File Type Settings

This section will determine how to transfer files when they are transferred.

  • ASCII Files - The list of files which will be transferred in ASCII mode when in Auto Mode
  • Auto - Files should be transferred in binary or ASCII depending on whether or not it shows in the above list
  • Binary - All files must be transferred in Binary mode
  • ASCII - All files must be transferred in ASCII mode
  • Automatic (with confirmation) - When transferring files which already exist, the client will automatically choose whether or not to skip or resume uploading or downloading. It promopt you for confirmation with this option set
  • Automatic (without confirmation) - When transferring files which already exist, the client will automatically choose whether or not to skip or resume uploading or downloading. It will not promopt you for confirmation with this option set
  • Always Overwrite - regardless of what files already exist on the remote or local, the client will overwrite when uploading or downloading
  • Always Skip - If the local or remote file exists when downloading or uploading, then having this option set will make the client always skip files which already exist


Preferences - Connection Settings

The following settings define how you connect to the FTP Site of your choice.

  • FTPDirect - Attempt to connect to the site directly
  • FTPProxy - Use the proxy server as defined in the Proxy Server and Proxy Port. This type of proxy is usually an Internet Proxy server like Squid. The Proxy Separator is what defines what separates the server name and proxy port - it is isually @, or $ on Novell Bordermanager Proxy servers. NOTE : Encryption is not possible using this type of proxy.
  • FTPSocks4 - Use Socks version 4 protocol to connect to the socks server
  • FTPSocks 4a - Use Socks version 4a protocol to connect to the socks server
  • FTPSocks5 - Use Socks version 5 protocol to connect to teh socks server
  • Socks Server - the hostname or IP address of the Socks server
  • Socks Port - the port to connect to when connecting to the socks server - usually 1080
  • Username - Only required for Socks 5 proxy - and usually optional depending on the socks server
  • Password - Only required for Socks 5 proxy - and usually optional depending on the socks server
  • Always Passive - Always use passive mode for your FTP Client connections


The Log Screen

The log file shows all the activity that the client has done. Use this log to troubleshoot problems that you've got (if any).


Tutorials

The following Tutorials will help you work the EFTP Client

  • Creating a site step-by-step instructions
  • Connecting to a site using Quick Connect
  • Basic Operations
    • Connecting & Disconnecting
    • Browsing
    • Downloading & Uploading


Connecting-Step-By-Step

Tutorial

Creating a site step-by-step instructions

In this tutorial, we will define a site and then connect to it. Run the EFTP Client and then go to Site Manager screen. The following image is what we are trying to achieve.

  1. Select the Root site, and then click "Add Site", and specify the name "Test Site"
  2. EFTP will automatically select the new site you've created. Enter the following host name "cairon.atreyu.org"
  3. Leave port as 21
  4. Specify the username as "anonymous"
  5. Enter anything as a password
  6. Click the Connect button

If all has gone well, you should be connected to the test site with encryption, similar to the following screenshot.


Quick Connect

Tutorial

Connecting to a site using Quick Connect

In this tutorial, we will connect to a site using the quick connect feature. Run the EFTP Client and then follow the following screenshot and instructions

  1. Enter the hostname cairon.atreyu.org in the Host Name section
  2. Press the "Quick Connect" button.
  3. Press OK when prompted for a password

If all has gone well, you should see the following result :


Basic Operations

Tutorial

Basic Operations

  • Connecting & Disconnecting
  • Browsing
  • Downloading & Uploading


Connectiong & Disconnecting

Tutorial

This tutorial is still under development


Tutorial

This tutorial is still under development


EFTP Support

Support Options

EFTP Support is free via e-mail for one year from date of purchase. If you have bought EFTP you should have an e-mail address to send your support query to.

For home users who are using EFTP for free, you are welcome to use the EFTP Forum to post your support queries.